---
search:
  tags:
    - Collections V2
    - PATCH
seo:
  description: >-
    Bulk-patches collections. Successful entities are returned… Reference for
    the PATCH /api/v2/{team_slug}/{app_slug}/collections endpoint in the
    Management API.
sidebar:
  label: Patch collections
  badge: PATCH
title: Patch collections
type: openapi-operation
---
Bulk-patches collections. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/collections`

**Request body** (`application/json`, required)

- `collections` (PatchCollectionItem[], required)

Request body example:

```json
{
  "collections": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "slug": "string",
      "status": "active",
      "parent_id": "string"
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "slug": "string",
      "status": "active",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "translations": {
        "title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "slug": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "redirects": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
          "type": "category",
          "old_slug": "string",
          "new_slug": "string",
          "locale": "string"
        }
      ],
      "children": [
        {}
      ],
      "products": [
        {
          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
          "sort_order": 0
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "uri": "string"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "message": "string"
    }
  ]
}
```
